package com.logicbig.example;

import javax.persistence.EntityManager;
import static com.logicbig.example.LoadStateWithFind.*;

public class LoadStateWithGetReference {

    public static void main(String[] args) {
        try {
            persistEmployee();
            findEmployeeByRef();
        } finally {
            entityManagerFactory.close();
        }
    }

    private static void findEmployeeByRef() {
        EntityManager em = entityManagerFactory.createEntityManager();
        Employee employee = em.getReference(Employee.class, 1);
        printLoadState("After finding by getReference()", employee);
        //accessing department field
        System.out.println("Accessing employee.department: " + employee.getDepartment());
        printLoadState("After accessing employee.department field", employee);
        //accessing  phones field via Phones.toString() method
        System.out.println("Accessing employee.phones: " + employee.getPhones());
        printLoadState("After accessing employee.phones field", employee);
        em.close();
    }
}